Retrieve a live event – Media API – MediaKind
Retrieve a live event
get https://app.mk.io/api/v1/projects/:project_name/media/liveEvents/:event_name
Returns a live event.
RBAC Capability Required: ams.liveevent.get
Authentication
Authorization Bearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
| Parameter Name |
Type |
Required |
Description |
| project_name |
string |
Yes |
|
| event_name |
string |
Yes |
|
Response
200 A single live event
| Property |
Type |
Optional |
Description |
| location |
string |
Yes |
Deprecated field. This field cannot be modified, only set during creation. |
| name |
string |
Yes |
The name of the resource (2-32 characters). Pattern: ^[a-zA-Z0-9]+(-[a-zA-Z0-9])$ |
| properties |
object LiveEventProperties |
No |
The properties of the live event. |
Properties
Live Event Properties
| Property |
Type |
Optional |
Description |
| created |
string |
Yes |
The time when the live event was created. |
| crossSiteAccessPolicies |
object CrossSiteAccessPolicies |
Yes |
The configuration for cross-site access policies. This includes the XML content of the client access policy and cross-domain policy files. |
| clientAccessPolicy |
string or null |
Yes |
The XML content of the client access policy file. Search 'clientaccesspolicy.xml' to learn more. |
| crossDomainPolicy |
string or null |
Yes |
The XML content of the cross-domain policy file. Search 'crossdomain.xml' to learn more. |
| description |
string |
Yes |
An optional description for the live event. |
| encoding |
object LiveEventEncoding |
No |
The encoding configuration for the live event. |
Encoding Properties
| Property |
Type |
Optional |
Description |
| encodingType |
enum |
No |
Live event type. Allowed values: None, PassthroughBasic, PassthroughStandard, Premium1080p, Standard. |
| keyFrameInterval |
string |
Yes |
Defaults to PT2S. Use an ISO 8601 time value between 1 and 10 seconds. |
| presetName |
string |
Yes |
Defaults to either Default720p or Default1080p depending on the encoding type. |
| stretchMode |
enum |
Yes |
Determines how aspect ratio will be preserved. Allowed values: None, AutoSize, AutoFit. |
Errors
400 Bad Request
| Field |
Type |
Description |
| error |
object ErrorDetail |
Required. Pertinent information about the error. |
ErrorDetail Properties
| Property |
Type |
Description |
| code |
string |
The error code. |
| detail |
string |
The error message. |
| ref |
string |
A reference to the request that caused the error. |
| status |
integer |
The HTTP status code. |
Other Error Codes
- 401 Unauthorized
- 403 Forbidden
- 404 Not Found
- 429 Too Many Requests
- 500 Internal Server Error